<?php
class IncreasedDecimalPlacesToPreventRoundingErrorsWhenDealingWithPence extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = '';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'alter_field' => array(
				'ev_checkout_order_items' => array(
					'unit_cost' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
					'subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
					'vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
				),
				'ev_checkout_orders' => array(
					'subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
					'delivery_subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
					'delivery_vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
					'surcharge_subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
					'vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
				),
			),
		),
		'down' => array(
			'alter_field' => array(
				'ev_checkout_order_items' => array(
					'unit_cost' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '8,3', 'unsigned' => false),
					'subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '8,3', 'unsigned' => false),
					'vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '8,3', 'unsigned' => false),
				),
				'ev_checkout_orders' => array(
					'subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '8,3', 'unsigned' => false),
					'delivery_subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '8,3', 'unsigned' => false),
					'delivery_vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '8,3', 'unsigned' => false),
					'surcharge_subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '8,3', 'unsigned' => false),
					'vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '8,3', 'unsigned' => false),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function after($direction) {
		return true;
	}
}
